//
//  ChartViewItemBuildable.swift
//  Feels
//
//  Created by Trey Tartt on 1/17/22.
//

import SwiftUI

enum ViewType: Hashable {
    case cicle
    case square
    case text(String)
}

protocol ChartViewItemBuildable: View {
    var color: Color { get }
    var weekDay: Int { get }
    var viewType: ViewType { get }
    
    init(color: Color, weekDay: Int, viewType: ViewType)
}
